### Method

# Gimp Matrix2 transform_point

since: 2.10.16

#### Declaration [src]

    void
    gimp_matrix2_transform_point (
      const GimpMatrix2* matrix,
      gdouble x,
      gdouble y,
      gdouble* newx,
      gdouble* newy
    )

#### Description [src]

Transforms a point in 2D as specified by the transformation matrix.

Available since: 2.10.16

#### Parameters

`x`

  Type: `gdouble`

  The source X coordinate.

`y`

  Type: `gdouble`

  The source Y coordinate.

`newx`

  Type: `gdouble*`

  The transformed X coordinate.

  The argument will be set by the function.

`newy`

  Type: `gdouble*`

  The transformed Y coordinate.

  The argument will be set by the function.